# Uses of Class
org.apache.lucene.codecs.lucene95.OffHeapFloatVectorValues

Packages that use OffHeapFloatVectorValues
Package
Description
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.

- ## Uses of OffHeapFloatVectorValues in org.apache.lucene.codecs.lucene95

  Subclasses of OffHeapFloatVectorValues in org.apache.lucene.codecs.lucene95
  Modifier and Type
  Class
  Description
  `static class`
  `OffHeapFloatVectorValues.DenseOffHeapVectorValues`
  Dense vector values that are stored off-heap.
  Methods in org.apache.lucene.codecs.lucene95 that return OffHeapFloatVectorValues
  Modifier and Type
  Method
  Description
  `static OffHeapFloatVectorValues`
  OffHeapFloatVectorValues.`load(VectorSimilarityFunction vectorSimilarityFunction, FlatVectorsScorer flatVectorsScorer, OrdToDocDISIReaderConfiguration configuration, VectorEncoding vectorEncoding, int dimension, long vectorDataOffset, long vectorDataLength, IndexInput vectorData)`